icon

We found results for “

CVE-2021-4178

Good to know:

icon
icon

Date: December 27, 2021

A arbitrary code execution flaw was found in the Fabric 8 Kubernetes client affecting versions 5.0.0-beta-1 and above. Due to an improperly configured YAML parsing, this will allow a local and privileged attacker to supply malicious YAML.

Language: Java

Severity Score

Severity Score

Top Fix

icon

Upgrade Version

Upgrade to version io.fabric8:kubernetes-client:5.0.3, 5.1.2, 5.3.2, 5.4.2, 5.7.4, 5.8.1, 5.10.2, 5.11.2,

Learn More

CVSS v3.1

Base Score:
Attack Vector (AV): LOCAL
Attack Complexity (AC): LOW
Privileges Required (PR): HIGH
User Interaction (UI): NONE
Scope (S): UNCHANGED
Confidentiality (C): HIGH
Integrity (I): HIGH
Availability (A): HIGH

Do you need more information?

Contact Us